Package Details: enlightenment-git 0.24.0.beta1.24079.gd63f4a53e-1

Git Clone URL: https://aur.archlinux.org/enlightenment-git.git (read-only, click to copy)
Package Base: enlightenment-git
Description: Enlightenment window manager - Development version
Upstream URL: http://www.enlightenment.org
Licenses: BSD
Conflicts: enlightenment
Provides: enlightenment=0.24.0.beta1.24079.gd63f4a53e, notification-daemon
Submitter: Scimmia
Maintainer: raster
Last Packager: raster
Votes: 64
Popularity: 0.40
First Submitted: 2014-01-08 21:25
Last Updated: 2020-05-14 09:28

Dependencies (22)

Required by (47)

Sources (1)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 11 ... Next › Last »

AJSlye commented on 2017-08-14 02:50

EFL already depends on wayland and wayland-protocals, enlightenment depends on efl. so why the depends for wayland?
Only xorg-server-xwayland should be needed here.

Also, how can xorg-server-xwayland be a depends and an optdepends?
That makes no sense, shouldn't it be either a depends, or a makedepends and optdepends.

Scimmia commented on 2016-03-28 14:48

Looks like Raster fixed the Elm pc file this morning, so things work again. Updated the dep here.

jabol240 commented on 2016-03-28 14:23

ok thanks will wait and then try again

Scimmia commented on 2016-03-26 20:04

elementary-git is provided by efl-git. I will be changing the dep as soon as they get some things figured out so you can actually build things against the new, merged efl.

jabol240 commented on 2016-03-26 20:02

strangely, it complains about missing elementary-git.

bhundven commented on 2015-11-07 10:17

v0.20.0-beta is out. Lots of updates. And 14 days of updates since that tag.
I have an issue with the current version where the screen goes blank, which I think is fixed in 7d2a55f.

Scimmia commented on 2015-09-30 15:42

This package now has Wayland support! Running enlightenment_start directly from a tty (instead of within X) will automatically load the drm module and start a Wayland compositor. Still has a ways to go, but give it a try.

nspaeth commented on 2015-03-05 18:28

Ahh, I just assumed (without looking into it, admittedly) that those flags were for wayland support and had to remove them to get E to start.

Thank you, I wasn't aware of the makepkg.conf option.

Scimmia commented on 2015-03-04 23:17

All of the package you mentioned use the "debug" option, so they are built with whatever debug flags you have set in makepkg.conf. By default, that's "-g -fvar-tracking-assignments", but you can make it whatever you want.

As for the wayland question, I don't think you understand what it does. It enables wayland clients to run on the X compositor. enlightenment-wayland-git is totally different.

nspaeth commented on 2015-03-04 19:23

Can we have enlightenment-git, elementary-git and efl-git compile with -g and -ggdb3 by default? There are so many bugs that this would ease reporting on.

And, so long as there is a separate enlightenment-wayland-git package, how about disabling wayland from *this* package so that the broken state of the wayland implementation doesn't prevent non wayland use.